Bug 197512 - devel/gdb: Add support for GUILE
Summary: devel/gdb: Add support for GUILE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-10 11:57 UTC by Ashish SHUKLA
Modified: 2015-03-02 12:48 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
devel/gdb diff (795 bytes, patch)
2015-02-10 11:57 UTC, Ashish SHUKLA
koobs: maintainer-approval+
Details | Diff
Updated (1.69 KB, patch)
2015-02-25 06:27 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish SHUKLA freebsd_committer 2015-02-10 11:57:25 UTC
Created attachment 152836 [details]
devel/gdb diff

Attached diff adds support for GUILE to the devel/gdb port. AFAICS, it works fine. Could you please approve the change ?

Thanks
Comment 1 Bugzilla Automation freebsd_committer 2015-02-10 11:57:25 UTC
Maintainer CC'd
Comment 2 luca.pizzamiglio 2015-02-11 10:40:21 UTC
Hi,
I shortly tested it and I approve.

thanks!

best regards,
pizzamig
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-11 10:43:12 UTC
Submitter is committer.
Comment 4 commit-hook freebsd_committer 2015-02-12 15:15:52 UTC
A commit references this bug:

Author: ashish
Date: Thu Feb 12 15:15:04 UTC 2015
New revision: 378879
URL: https://svnweb.freebsd.org/changeset/ports/378879

Log:
  - Add OPTION to enable support for GUILE

  PR:		197512
  Submitted by:	ashish
  Approved by:	<luca.pizzamiglio at gmail.com> (maintainer)

Changes:
  head/devel/gdb/Makefile
Comment 5 Ashish SHUKLA freebsd_committer 2015-02-12 15:16:40 UTC
Committed.

Thanks!
Comment 6 Ashish SHUKLA freebsd_committer 2015-02-25 06:27:43 UTC
Created attachment 153499 [details]
Updated

Hi Luca,

Sorry to re-open this PR. But I noticed, my previous diff missed installing GDB .scm files, similar to .py files required by Python support.

The attached diff fixes this. If you approve the change, then I could commit it.

Thanks
Ashish
Comment 7 Ashish SHUKLA freebsd_committer 2015-02-25 06:28:56 UTC
Open this PR to commit missing GUILE support stuff.
Comment 8 luca.pizzamiglio 2015-03-02 10:27:33 UTC
Hi Ashish,

Change approved, it works for me.
This update is a fix, so the port revision should be bumped.

thanks
Comment 9 commit-hook freebsd_committer 2015-03-02 12:47:02 UTC
A commit references this bug:

Author: ashish
Date: Mon Mar  2 12:46:40 UTC 2015
New revision: 380251
URL: https://svnweb.freebsd.org/changeset/ports/380251

Log:
  - Install missing files required for GUILE support

  PR:		197512
  Approved by:	Luca <luca.pizzamiglio at gmail.com> (maintainer)

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/pkg-plist
Comment 10 Ashish SHUKLA freebsd_committer 2015-03-02 12:48:43 UTC
Committed.

Thanks!